Index: src/perl/register-dataset.cgi
===================================================================
--- src/perl/register-dataset.cgi	(revision 4576)
+++ src/perl/register-dataset.cgi	(revision 4577)
@@ -2038,10 +2008,10 @@
 
     $results = $doc->findnodes('//dataset/metadataProvider');
     foreach $node ($results->get_nodelist) {
-            dontOccur($node, "./organizationName|./positionName|./onlineURL|./userId|./electronicMailAddress|./phone|./address", 
+        dontOccur($node, "./organizationName|./positionName|./onlineURL|./userId|./electronicMailAddress|./phone|./address", 
                 "organizationName, positionName, onlineURL, userId, electronicMailAddress, phone, address in metadataProvider");
         
-	    $tempResult = $node->findnodes('./individualName');
+        $tempResult = $node->findnodes('./individualName');
             if ($tempResult->size > 1) {
                 errMoreThanOne("metadataProvider/indvidualName");
             } else {
@@ -2141,7 +2111,7 @@
         $count++;
     }
     $$templateVars{'keyCount'} = $count;
-    if($count > 0 ){
+    if ($count > 0) {
        $$templateVars{'hasKeyword'} = "true";
     }
 
@@ -2172,7 +2142,6 @@
                     if ($childNodes->size() > 1) {
                         $error ="The tag para in intellectualRights has children which cannot be shown using the form. Please use Morpho to edit this document";    
                         push(@errorMessages, $error);
-                        #if ($DEBUG == 1){ print $error."\n";}
                     } else {
                         #print $tempNode->nodeName().":".$tempNode->textContent();
                         #print "\n";
@@ -2191,7 +2160,7 @@
     if ($results->size() > 1) {
         errMoreThanOne("distribution/online");
     } else {
-        foreach my $tempNode ($results->get_nodelist){
+        foreach my $tempNode ($results->get_nodelist) {
             $$templateVars{'url'} = findValue($tempNode, "url");
             dontOccur($tempNode, "./connection", "/distribution/online/connection");
             dontOccur($tempNode, "./connectionDefinition", "/distribution/online/connectionDefinition");
@@ -2204,7 +2173,7 @@
     } else {
         foreach my $tempNode ($results->get_nodelist) {
             my $temp = findValue($tempNode, "mediumName");
-            if(substr($temp, 0, 5) eq "other"){
+            if (substr($temp, 0, 5) eq "other") {
                 $$templateVars{'dataMedium'} = substr($temp, 0, 5);
                 $$templateVars{'dataMediumOther'} = substr($temp, 5);
             } else {
@@ -2240,7 +2209,7 @@
                     $$templateVars{'beginningYear'} = $x;
                     $$templateVars{'beginningMonth'} = $y;
                     $$templateVars{'beginningDay'} = $z;
-    
+
                     $tempdate = findValue($tempNode, "rangeOfDates/endDate/calendarDate");
                     ($x, $y, $z) = split("-", $tempdate);
                     $$templateVars{'endingYear'} = $x;
@@ -2249,14 +2218,14 @@
 
                     $tempdate = "";
                     $tempdate = findValue($tempNode, "singleDateTime/calendarDate");
-                    if($tempdate ne ""){
+                    if ($tempdate ne "") {
                         ($x, $y, $z) = split("-", $tempdate);
                         $$templateVars{'beginningYear'} = $x;
                         $$templateVars{'beginningMonth'} = $y;
                         $$templateVars{'beginningDay'} = $z;
-                    }  
-		    
-		    $$templateVars{'hasTemporal'} = "true";
+                    }
+
+                    $$templateVars{'hasTemporal'} = "true";
                 }
             }
 
@@ -2491,12 +2460,12 @@
         if ($principal eq 'public' && $permission ne 'read') { $accessError = 1; }
         if ($principal eq $username && $permission ne 'all') { $accessError = 2; }
         if ($principal ne 'public' && $principal ne $username && $principal ne $moderators && $permission ne 'all') { $accessError = 3; }
-        if ($accessError == 3){
+        if ($accessError == 3) {
             my $session = CGI::Session->load();
-            if ( !$session->is_empty ) {
+            if (!$session->is_empty) {
                 my $username = $session->param("username");
                 my $password = $session->param("password");
-                if($principal eq $username){
+                if ($principal eq $username) {
                     $accessError = 0;
                 }
             }
@@ -2531,8 +2500,8 @@
     dontOccur($doc, "//protocol", "protocol");
     $results = $doc->findnodes(
             '//additionalMetadata/moderatorComment');
-    if($results->size == 0){
-        dontOccur($doc, "//additionalMetadata", "additionalMetadata");    
+    if ($results->size == 0) {
+        dontOccur($doc, "//additionalMetadata", "additionalMetadata");
     }
 }
 
@@ -2591,65 +2560,62 @@
     } else {
 
         $findType = $xmldoc->findnodes('//dataset/identifier');
-        if($findType->size() > 0){
-        # This is a eml beta6 document
-        # Delete the documents mentioned in triples also
-        
-        $findType = $xmldoc->findnodes('//dataset/triple');
-        if($findType->size() > 0){
-            foreach $node ($findType->get_nodelist){
-            $pushDoc = findValue($node, 'subject');
-            
-            # If the file is already in the @fileArray then do not add it 
-            $alreadyInArray = 0;
-            foreach $element (@fileArray){
-                if($element eq $pushDoc){
-                $alreadyInArray = 1;
+        if ($findType->size() > 0) {
+            # This is a eml beta6 document
+            # Delete the documents mentioned in triples also
+
+            $findType = $xmldoc->findnodes('//dataset/triple');
+            if ($findType->size() > 0) {
+                foreach $node ($findType->get_nodelist) {
+                    $pushDoc = findValue($node, 'subject');
+
+                    # If the file is already in the @fileArray then do not add it 
+                    $alreadyInArray = 0;
+                    foreach $element (@fileArray) {
+                        if ($element eq $pushDoc) {
+                            $alreadyInArray = 1;
+                        }
+                    }
+
+                    if (!$alreadyInArray) {
+                        # If not already in array then delete the file. 
+                        push (@fileArray, $pushDoc);
+                        $response = $metacat->delete($pushDoc);
+                        
+                        if (!$response) {
+                            # Could not delete
+                            push(@errorMessages, $metacat->getMessage());
+                            push(@errorMessages, "Failed during deleting $pushDoc. Please check if you are authorized to delete this document.\n");
+                        }
+                    }
                 }
             }
-            
-            if(!$alreadyInArray){
-                # If not already in array then delete the file. 
-                push (@fileArray, $pushDoc);
-                $response = $metacat->delete($pushDoc);
-                
-                if (! $response) {
-                # Could not delete
-                #push(@errorMessages, $response);
-                push(@errorMessages, $metacat->getMessage());
-                push(@errorMessages, "Failed during deleting $pushDoc. Please check if you are authorized to delete this document.\n");
-                }
-            }
-            }
         }
-        }
     }
-    
+
     # Delete the main document. 
-    if($deleteAll){
-        $response = $metacat->delete($docid);  
+    if ($deleteAll) {
+        $response = $metacat->delete($docid);
         if (! $response) {
-        # Could not delete
-        #push(@errorMessages, $response);
-        push(@errorMessages, $metacat->getMessage());
-        push(@errorMessages, "Failed during deleting $docid. Please check if you are authorized to delete this document.\n");
+            # Could not delete
+            push(@errorMessages, $metacat->getMessage());
+            push(@errorMessages, "Failed during deleting $docid. Please check if you are authorized to delete this document.\n");
         }
     }
     }
-    
+
     if (scalar(@errorMessages)) {
-    # If any errors, print them in the response template 
-    $$templateVars{'status'} = 'failure';
-    $$templateVars{'errorMessages'} = \@errorMessages;
-    $error = 1;
+        # If any errors, print them in the response template 
+        $$templateVars{'status'} = 'failure';
+        $$templateVars{'errorMessages'} = \@errorMessages;
+        $error = 1;
     }
-    
+
     # Process the response template
-    if($deleteAll){
-
-    $$templateVars{'function'} = "deleted";
-    $$templateVars{'section'} = "Deletion Status";
-    $template->process( $templates->{'response'}, $templateVars);
+    if ($deleteAll) {
+        $$templateVars{'function'} = "deleted";
+        $$templateVars{'section'} = "Deletion Status";
+        $template->process($templates->{'response'}, $templateVars);
     }
 }
 
@@ -2662,15 +2628,15 @@
     #debug("Registry: handling login request");
     # Check if a session already exists
     my $session = CGI::Session->load() or die CGI::Session->errstr();
-    if ( $session->is_empty ) {
+    if ($session->is_empty) {
         # no session found ... check if the login is correct
-		my $username = $FORM::username;
-		my $password = $FORM::password;
-   
+        my $username = $FORM::username;
+        my $password = $FORM::password;
+
         my $metacat = Metacat->new($metacatUrl);
         my $returnVal = $metacat->login($username,$password);
         debug("Registry: Login was $returnVal for login attempt to $metacatUrl, with $username");
-        if($returnVal > 0){
+        if ($returnVal > 0) {
             # valid username and passwd
             # create a new session and store username and passswd
             $session = new CGI::Session();
@@ -2677,8 +2643,8 @@
 
             $session->param('username', $username);
             $session->param('password', $password);
-    
-            if($returnVal == 2 || $returnVal == 4){
+
+            if ($returnVal == 2 || $returnVal == 4) {
                 # is a moderator. store this information in the session
                 $session->param('moderator', 'true'); 
             }
@@ -2703,15 +2669,15 @@
             $$templateVars{'errorMessages'} = \@errorMessages;
             $$templateVars{'cfg'} = $skinName;
             $$templateVars{'section'} = "Login Status";
-            $template->process( $templates->{'response'}, $templateVars);
+            $template->process($templates->{'response'}, $templateVars);
         }
 
-    exit(0);
+        exit();
     } else {
         # session found ... redirect to index page
         my $url = "$skinsDir/$skinName/index.html";
         redirect($url);
-        exit(0);
+        exit();
    }
 }
 
@@ -2722,10 +2688,10 @@
 ################################################################################
 sub handleLogoutRequest(){
     print "Content-type: text/html\n\n";
-	# Check if the session exists
-	debug("Stage is logout");
+    # Check if the session exists
+    debug("Stage is logout");
     my $session = CGI::Session->load();
-    if ( $session->is_empty || $session->is_expired) {
+    if ($session->is_empty || $session->is_expired) {
         # no session found ... send back to index.html page ... 
         debug("Session empty or not found");
         my $url = "$skinsDir/$skinName/index.html";
@@ -2759,9 +2725,9 @@
     my $userPass = $FORM::password;
     my $dname = "uid=$userDN,o=$userOrg,dc=ecoinformatics,dc=org";
 
-    if($FORM::userLoggedIn eq 'true'){
+    if ($FORM::userLoggedIn eq 'true') {
         my $session = CGI::Session->load();
-        if (!( $session->is_empty || $session->is_expired)) {
+        if (!($session->is_empty || $session->is_expired)) {
             $dname = $session->param("username");
             $userPass = $session->param("password");
         }
@@ -2783,7 +2749,7 @@
 
     # Check if the session exists
     my $session = CGI::Session->load();
-    if ( $session->is_empty || $session->is_expired) {
+    if ($session->is_empty || $session->is_expired) {
         # no session found ... send back to index.html page ... 
         processResultTemplate($stage, 'failure', "Moderator is not logged in.\n");
         $returnValue = -1;
@@ -2791,14 +2757,14 @@
 
     # check if logged in user is moderator
     my $moderator = $session->param("moderator");
-    if ( $moderator ne 'true') {
+    if ($moderator ne 'true') {
         # no session found ... send back to index.html page ... 
         debug("Logged in user is not moderator");
         processResultTemplate($stage, 'failure', "Logged in user is not moderator.\n");
         $returnValue = -1;
-    } 
+    }
 
-    if($returnValue eq 1){
+    if ($returnValue eq 1) {
         $modUsername = $session->param("username");
         $modPassword = $session->param("password");
     }
@@ -2814,72 +2780,73 @@
 
     # Check if the session exists
     my $session = CGI::Session->load();
-        if ( $session->is_empty || $session->is_expired) {
-            # no session found ... send back the regular read page ...
-       	    my $url = "$skinsDir/$skinName/index.html";
-       	    redirect($url);
-        } else {
-       	    my $htmldoc = "";
-       	    $htmldoc .= "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Frameset//EN\" \"http://www.w3.org/TR/html4/frameset.dtd\">";
-       	    $htmldoc .= "<html><head><title>Dataset Description: ".$docid."</title><meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\"></head>";
-       	    $htmldoc .= "<frameset rows=\"150,*\" cols=\"*\" frameborder=\"NO\" border=\"0\" framespacing=\"0\">";
-       	    $htmldoc .= "<frame src=\"$skinsDir/$skinName/header.jsp\" marginwidth=\"40\" name=\"topFrame\" scrolling=\"NO\" noresize>";
-       	    $htmldoc .= "<frameset cols=\"200,*\" frameborder=\"NO\" border=\"0\" framespacing=\"0\">";
-       	    $htmldoc .= "<body></body><frame src=\"$cgiUrl?cfg=$skinName&stage=review_frame&docid=".$docid."\" name=\"rightFrame\" scrolling=\"NO\" noresize></frame>";
-       	    $htmldoc .= "<frame src=\"". $metacatUrl ."?action=read&qformat=".$skinName."&docid=".$docid."&insertTemplate=0\" name=\"mainFrame\">";
-            $htmldoc .= "</frameset></frameset></html>";
+    if ($session->is_empty || $session->is_expired) {
+        # no session found ... send back the regular read page ...
+        my $url = "$skinsDir/$skinName/index.html";
+        redirect($url);
+    } else {
+        my $htmldoc = qq|<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Frameset//EN" "http://www.w3.org/TR/html4/frameset.dtd">
+        <html><head><title>Dataset Description: $docid</title><meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"></head>
+          <frameset rows="150,*" cols="*" frameborder="NO" border="0" framespacing="0">
+            <frame src="$skinsDir/$skinName/header.jsp" marginwidth="40" name="topFrame" scrolling="NO" noresize>
+            <frameset cols="200,*" frameborder="NO" border="0" framespacing="0">
+              <body></body><frame src="$cgiUrl?cfg=$skinName&stage=review_frame&docid="$docid"" name="rightFrame" scrolling="NO" noresize></frame>
+              <frame src="$metacatUrl?action=read&qformat=$skinName&docid=$docid&insertTemplate=0" name="mainFrame">
+            </frameset>
+          </frameset>
+        </html>
+|;
+        print $htmldoc;    
+    }
+}
 
-       	    print $htmldoc;	
-	}
-} 
-
 sub handleReviewFrame {
-	print "Content-type: text/html\n\n";
-	my $session = CGI::Session->load();
-        if ( $session->is_empty || $session->is_expired) {
-		return;
-	}
+    print "Content-type: text/html\n\n";
+    my $session = CGI::Session->load();
+        if ($session->is_empty || $session->is_expired) {
+        return;
+    }
 
-	my $moderator = $session->param("moderator");
+    my $moderator = $session->param("moderator");
 
-	$$templateVars{'reviewdocid'} = getReviewHistoryHTML($session->param("username"),  $session->param("password"));
-	$$templateVars{'docid'} = $FORM::docid;
-	if ( $moderator eq 'true') {
-		$$templateVars{'isModerator'} = "true";
-	}
-	$template->process( $templates->{'getReviews'}, $templateVars);
+    $$templateVars{'reviewdocid'} = getReviewHistoryHTML($session->param("username"),  $session->param("password"));
+    $$templateVars{'docid'} = $FORM::docid;
+    if ($moderator eq 'true') {
+        $$templateVars{'isModerator'} = "true";
+    }
+    $template->process($templates->{'getReviews'}, $templateVars);
 }
 
 sub getReviewHistoryHTML {
-	my $username = shift;
-	my $password = shift;
+    my $username = shift;
+    my $password = shift;
 
     my $metacat = Metacat->new($metacatUrl);
-	$metacat->login($username, $password);
-    	my $parser = XML::LibXML->new();
-        my $docid = $FORM::docid;
-        my ($x, $y, $z) = split(/\./, $docid);
-        my $docidWithoutRev = $x.".".$y;
-        my $reviewDocumentId = '';
-        my $response = $metacat->squery("<pathquery><querytitle>Moderator-Search</querytitle><querygroup operator='INTERSECT'><queryterm searchmode='contains' casesensitive='false'><value>$docidWithoutRev</value><pathexpr>/reviewHistory/review/packageId</pathexpr></queryterm></querygroup></pathquery>");
-        my $doc = $response->content();
-        my $xmldoc = $parser->parse_string($doc);
-	my $reviewHTML = '';
+    $metacat->login($username, $password);
+    my $parser = XML::LibXML->new();
+    my $docid = $FORM::docid;
+    my ($x, $y, $z) = split(/\./, $docid);
+    my $docidWithoutRev = $x.".".$y;
+    my $reviewDocumentId = '';
+    my $response = $metacat->squery("<pathquery><querytitle>Moderator-Search</querytitle><querygroup operator='INTERSECT'><queryterm searchmode='contains' casesensitive='false'><value>$docidWithoutRev</value><pathexpr>/reviewHistory/review/packageId</pathexpr></queryterm></querygroup></pathquery>");
+    my $doc = $response->content();
+    my $xmldoc = $parser->parse_string($doc);
+    my $reviewHTML = '';
 
-        if ($xmldoc eq "" || $doc=~ /<error/) {
-                # not able to parse
-                return " Unable to search for review for the docid:".$docid;
-        } else {
-            my $findNodes = $xmldoc->findnodes('//resultset/document');
-            if($findNodes->size() > 0){
-                # found contact email address
-                my $node = '';
-                foreach $node ($findNodes->get_nodelist) {
-                    $reviewDocumentId = findValue($node,'docid');
-                }
+    if ($xmldoc eq "" || $doc=~ /<error/) {
+        # not able to parse
+        return " Unable to search for review for the docid:".$docid;
+    } else {
+        my $findNodes = $xmldoc->findnodes('//resultset/document');
+        if ($findNodes->size() > 0) {
+            # found contact email address
+            my $node = '';
+            foreach $node ($findNodes->get_nodelist) {
+                $reviewDocumentId = findValue($node,'docid');
             }
-	}
-	return $reviewDocumentId;
+        }
+    }
+    return $reviewDocumentId;
 }
 
 ################################################################################
@@ -2897,8 +2864,8 @@
     debug("Stage is mod_accept");
 
     my $isMod = isModerator("accept");
-    if($isMod < 0){
-    	return;
+    if ($isMod < 0) {
+        return;
     }
     # change the access rules
     ## create the access block
@@ -2909,7 +2876,7 @@
     $accessblock .= "<permission>all</permission>\n";
     $accessblock .= "</allow>\n";
 
-    foreach(split(":",$moderators)){
+    foreach (split(":",$moderators)) {
         $accessblock .= "<allow>\n";
         $accessblock .= "<principal>".$_."</principal>\n";
         $accessblock .= "<permission>all</permission>\n";
@@ -2931,7 +2898,7 @@
     # Log into metacat
     my $response = $metacat->login($modUsername, $modPassword);
 
-    if (! $response) {
+    if (!$response) {
         # Could not login
         $errorMessage = $errorMessage." Failed during moderator login.";
 
@@ -2942,103 +2909,103 @@
         my $docFromMetacat = $response->content();
         my $xmldoc = $parser->parse_string($docFromMetacat);
 
-	if ($xmldoc eq "" || $docFromMetacat=~ /<error/) {
-                # not able to parse
-                $errorMessage = $errorMessage." Error in reading the following docid:".$docid;
+        if ($xmldoc eq "" || $docFromMetacat=~ /<error/) {
+            # not able to parse
+            $errorMessage = $errorMessage." Error in reading the following docid:".$docid;
         } else {
-		my ($emldoc, $temp) = split('<access authSystem=', $docFromMetacat);
-		$emldoc .= $accessblock;
-    		$emldoc .= "</dataset>\n</eml:eml>\n";
+            my ($emldoc, $temp) = split('<access authSystem=', $docFromMetacat);
+            $emldoc .= $accessblock;
+            $emldoc .= "</dataset>\n</eml:eml>\n";
 
-    		#debug("Document created by handleModAccept is " . $emldoc);
-    		# update the document
-    		my $docid = $FORM::docid;
-    
-    		my $x;
-    		my $y;
-    		my $z;
-        
-    		($x, $y, $z) = split(/\./, $docid); 
-    		$z++;
-    		my $newDocid = "$x.$y.$z";
-    
-    		$emldoc =~ s/packageId=\"$docid\"/packageId=\"$newDocid\"/;
-   		$response = $metacat->update($newDocid, $emldoc);
+            #debug("Document created by handleModAccept is " . $emldoc);
+            # update the document
+            my $docid = $FORM::docid;
 
-    		if (! $response) {
-        		debug("Error while updating in handleModAccept.");
-    			#push(@errorMessages, $metacat->getMessage());
-        		$errorMessage = $errorMessage." Failed while updating the document with new access rules.";  
-		}
+            my $x;
+            my $y;
+            my $z;
 
-		# get the contact email address from the 
-   		$xmldoc = $parser->parse_string($emldoc);
+            ($x, $y, $z) = split(/\./, $docid); 
+            $z++;
+            my $newDocid = "$x.$y.$z";
 
-   		if ($xmldoc eq "" || $xmldoc=~ /<error/) {
-			# not able to parse
-       			$errorMessage = $errorMessage." Error in reading the docid:".$docid;
-		} else {
-	    		my $findNodes = $xmldoc->findnodes('//dataset/contact');
-	    		if($findNodes->size() > 0){
-				# found contact email address
-				my $node = '';
-				foreach $node ($findNodes->get_nodelist) {
-					$contactEmailAddress = findValue($node,'electronicMailAddress');
-					my $surName = findValue($node,'individualName/surName');
-					my $givenName = findValue($node,'individualName/givenName');
-					my $organizationName = findValue($node,'organizaitionName');
-	
-					if($surName ne ''){
-						$contactName = $givenName.' '.$surName;
-					} else {
-						$contactName = $organizationName;
-					}
-				}
-			} else {
-				$contactEmailAddress = '';
-			}
-    			$findNodes = $xmldoc->findnodes('//dataset/title');
-			if($findNodes->size() > 0){
-				# found title
-				my $node = '';
-				foreach $node ($findNodes->get_nodelist) {
-					$title = findValue($node,'../title');
-				}
-			} else {
-				$title = '';
-			}
+            $emldoc =~ s/packageId=\"$docid\"/packageId=\"$newDocid\"/;
+            $response = $metacat->update($newDocid, $emldoc);
 
-			$findNodes = $xmldoc->findnodes('//dataset/access/allow');
-			if($findNodes->size() > 0){
-			# found title
-                                my $node = '';
-                                foreach $node ($findNodes->get_nodelist) {
-                                        my $perm = findValue($node,'permission');
-					if($perm ne 'all'){
-						$userDN = findValue($node,'principal');
-					}
-                                }
+            if (! $response) {
+                debug("Error while updating in handleModAccept.");
+                #push(@errorMessages, $metacat->getMessage());
+                $errorMessage = $errorMessage." Failed while updating the document with new access rules.";  
+            }
+
+            # get the contact email address from the 
+            $xmldoc = $parser->parse_string($emldoc);
+
+            if ($xmldoc eq "" || $xmldoc=~ /<error/) {
+                # not able to parse
+                $errorMessage = $errorMessage." Error in reading the docid:".$docid;
+            } else {
+                my $findNodes = $xmldoc->findnodes('//dataset/contact');
+                if ($findNodes->size() > 0) {
+                    # found contact email address
+                    my $node = '';
+                    foreach $node ($findNodes->get_nodelist) {
+                        $contactEmailAddress = findValue($node,'electronicMailAddress');
+                        my $surName = findValue($node,'individualName/surName');
+                        my $givenName = findValue($node,'individualName/givenName');
+                        my $organizationName = findValue($node,'organizaitionName');
+
+                        if ($surName ne '') {
+                            $contactName = $givenName.' '.$surName;
                         } else {
-                                $userDN = '';
+                            $contactName = $organizationName;
                         }
+                    }
+                } else {
+                    $contactEmailAddress = '';
+                }
+                $findNodes = $xmldoc->findnodes('//dataset/title');
+                if ($findNodes->size() > 0) {
+                    # found title
+                    my $node = '';
+                    foreach $node ($findNodes->get_nodelist) {
+                        $title = findValue($node,'../title');
+                    }
+                } else {
+                    $title = '';
+                }
 
-		}	
-	}
+                $findNodes = $xmldoc->findnodes('//dataset/access/allow');
+                if ($findNodes->size() > 0) {
+                    # found title
+                    my $node = '';
+                    foreach $node ($findNodes->get_nodelist) {
+                        my $perm = findValue($node,'permission');
+                        if ($perm ne 'all') {
+                            $userDN = findValue($node,'principal');
+                        }
+                    }
+                } else {
+                    $userDN = '';
+                }
+            }
+        }
     }
+
     # send notification to the user and the moderator
     if ($errorMessage eq '') {
-    	mod_sendNotification($title, $contactEmailAddress, $contactName, 'Document '.$FORM::docid.' Accepted');
-        if($FORM::review ne ''){
-                $errorMessage = mod_storeReview('accept', $metacat, $userDN);
-                if ($errorMessage ne '') {
-                        processResultTemplate('accept', 'failure', $errorMessage);
-                        return;
-                }
+        modSendNotification($title, $contactEmailAddress, $contactName, 'Document '.$FORM::docid.' Accepted');
+        if ($FORM::review ne '') {
+            $errorMessage = modStoreReview('accept', $metacat, $userDN);
+            if ($errorMessage ne '') {
+                processResultTemplate('accept', 'failure', $errorMessage);
+                return;
+            }
         }
-    	# send notifications
-	processResultTemplate('accept', 'success', $errorMessage);		
+        # send notifications
+        processResultTemplate('accept', 'success', $errorMessage);
     } else {
-	processResultTemplate('accept', 'failure', $errorMessage);		
+        processResultTemplate('accept', 'failure', $errorMessage);
     }
 }
 
@@ -3057,8 +3024,8 @@
 
     debug("Stage is mod_decline");
 
-    if(isModerator('decline')<0){
-    	return;
+    if (isModerator('decline') < 0) {
+        return;
     }
 
     # variables for contact information
@@ -3074,55 +3041,55 @@
         #push(@errorMessages, $metacat->getMessage());
         $errorMessage = $errorMessage." Failed during moderator login.";
     } else {
-		# read the document and get the contact name and address
-	my $parser = XML::LibXML->new();
-    	my $docid = $FORM::docid;
+        # read the document and get the contact name and address
+        my $parser = XML::LibXML->new();
+        my $docid = $FORM::docid;
 
-	$response = $metacat->read($docid);
- 	my $doc = $response->content();
-    	my $xmldoc = $parser->parse_string($doc);
+        $response = $metacat->read($docid);
+        my $doc = $response->content();
+        my $xmldoc = $parser->parse_string($doc);
 
-    	if ($xmldoc eq "" || $doc=~ /<error/) {
-	    # not able to parse
-	    $errorMessage = $errorMessage." Error in reading the docid:".$docid;
-	} else {
-	    my $findNodes = $xmldoc->findnodes('//dataset/contact');
-	    if($findNodes->size() > 0){
-		# found contact email address
-		my $node = '';
-		foreach $node ($findNodes->get_nodelist) {
-			$contactEmailAddress = findValue($node,'electronicMailAddress');
-			my $surName = findValue($node,'individualName/surName');
-			my $givenName = findValue($node,'individualName/givenName');
-			my $organizationName = findValue($node,'organizaitionName');
-	
-			if($surName ne ''){
-				$contactName = $givenName.' '.$surName;
-			} else {
-				$contactName = $organizationName;
-			}
-		}
-	    } else {
-		$contactEmailAddress = '';
-	    }
-	    $findNodes = $xmldoc->findnodes('//dataset/title');
-	    if($findNodes->size() > 0){
-		# found title
-		my $node = '';
-		foreach $node ($findNodes->get_nodelist) {
-			$title = findValue($node,'../title');
-		}
-	    } else {
-		$title = '';
-	    }
+        if ($xmldoc eq "" || $doc=~ /<error/) {
+            # not able to parse
+            $errorMessage = $errorMessage." Error in reading the docid:".$docid;
+        } else {
+            my $findNodes = $xmldoc->findnodes('//dataset/contact');
+            if ($findNodes->size() > 0) {
+                # found contact email address
+                my $node = '';
+                foreach $node ($findNodes->get_nodelist) {
+                    $contactEmailAddress = findValue($node,'electronicMailAddress');
+                    my $surName = findValue($node,'individualName/surName');
+                    my $givenName = findValue($node,'individualName/givenName');
+                    my $organizationName = findValue($node,'organizaitionName');
 
-	    $findNodes = $xmldoc->findnodes('//dataset/access/allow');
-            if($findNodes->size() > 0){
-            	# found title
+                    if ($surName ne '') {
+                        $contactName = $givenName.' '.$surName;
+                    } else {
+                        $contactName = $organizationName;
+                    }
+                }
+            } else {
+                $contactEmailAddress = '';
+            }
+            $findNodes = $xmldoc->findnodes('//dataset/title');
+            if ($findNodes->size() > 0) {
+                # found title
                 my $node = '';
                 foreach $node ($findNodes->get_nodelist) {
+                    $title = findValue($node,'../title');
+                }
+            } else {
+                $title = '';
+            }
+
+            $findNodes = $xmldoc->findnodes('//dataset/access/allow');
+            if ($findNodes->size() > 0) {
+                # found title
+                my $node = '';
+                foreach $node ($findNodes->get_nodelist) {
                      my $perm = findValue($node,'permission');
-                     if($perm ne 'all'){
+                     if ($perm ne 'all') {
                           $userDN = findValue($node,'principal');
                      }
                 }
